.TH FEDMSG-CONFIG 1
.SH NAME
fedmsg-config \- query or print the parsed fedmsg configuration

.SH SYNOPSIS
.B fedmsg\-config
.RB [ \-\-query
.IR CONFIG_KEY ]
.RB [ \-\-config\-filename
.IR CONFIG_FILENAME ]
.RB [ \-\-disable\-defaults ]
.PP
.B fedmsg\-config
.RB [ \-h | \-\-help ]

.SH DESCRIPTION
Query or print the parsed fedmsg\-config.
.PP
.B fedmsg\-config
is a simple utility that prints out the contents of the fully parsed fedmsg config as a JSON dictionary. It also allows the user to query a specific key of the config.

.SH QUERY OPERATIONS
The tool allows you to query a specific configuration key with the
.BI "\-\-query " CONFIG_KEY
option.
.PP
In query mode, the configuration key has the following syntax:
.BI "fedmsg\-config \-\-query " foo.bar.baz
prints the value of
.I config["foo"]["bar"]["baz"]
to the standard output.
.PP
If the configuration value is an atomic value, it is printed directly. If the
value is a list, each item of that list gets printed line by line. Else, the
value is printed as a JSON dictionary.

.SH OPTIONS
.TP
.BR \-h ", " \-\-help
Print an help message and exit
.TP
.BR "\-\-query " CONFIG_KEY
Dump a given key from the parsed config instead of dumping all of it.
.TP
.BR "\-\-config\-filename " CONFIG_FILENAME
Config file to use.
.TP
.BR \-\-disable\-defaults
Disable the configuration defaults.

.SH "AUTHORS"
.TP
.BR "The Fedora Infrastructure team" " <\&messaging\-sig@lists\&.fedoraproject\&.org\&>"
.RB "Wrote the " fedmsg " software\&."
.TP
.BR "Nicolas Dandrimont" " <\&olasd@debian\&.org\&>"
Wrote this manpage for the Debian system\&.

.SH "COPYRIGHT"
.br
Copyright \(co 2014 Nicolas Dandrimont
.br
.PP
This manual page was written for the Debian system (and may be used by others)\&.
.PP
You can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
.PP
On Debian systems, a copy of the license can be found in the
.I /usr/share/common-licenses/LGPL-2.1
file.
.sp
